Request Tracker 4.4.4 Charts not displaying (Showing X)

I am new to request tracker. However, i was able to get it installed on Centos 7 with everything pretty much working except charts. I was able to get gantt charts working with the plug in, but not the report charts. in my apache error log, i am receiving the following errors. GD, GraphWiz, and GD-Devel is installed. When i run check dependencies, everything shows up as found. any help would be greatly appreciated.
Appache error log:
gd-png: fatal libpng error: zlib failed to initialize compressor (IDAT) stream error
gd-png error: setjmp returns error condition

When you run the ./configure line you want to add --enable-gd --enable-graphviz then you can run make testdeps and it will complain that you are missing those deps.

These are the options that i used when i ran configure. Is there something missing?

./configure --enable-graphviz --enable-gd --with-web-user=apache --with-web-group=apache --with-db-type=mysql

Sorry missed that you already have that, did you run make install again once adding those two flags?

This is what I get when I test dependencies. Is there something missing that you see? from what i can tell everything is there.

perl:
>=5.10.1(5.16.3) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
Text::ParseWords …found
Term::ReadKey …found
Getopt::Long >= 2.24 …found
HTTP::Request::Common …found
Term::ReadLine …found
LWP >= 6.02 …found
CORE dependencies:
Storable >= 2.08 …found
Net::IP …found
URI::QueryParam …found
Business::Hours …found
Encode >= 2.64 …found
Crypt::Eksblowfish …found
Module::Versions::Report >= 1.05 …found
List::MoreUtils …found
Errno …found
DBI >= 1.37 …found
Devel::StackTrace >= 1.19 …found
HTTP::Message >= 6.0 …found
Text::Password::Pronounceable …found
Devel::GlobalDestruction …found
Time::ParseDate …found
IPC::Run3 …found
Tree::Simple >= 1.04 …found
HTML::Scrubber >= 0.08 …found
HTML::Quoted …found
Data::Page::Pageset …found
Sys::Syslog >= 0.16 …found
Mail::Mailer >= 1.57 …found
Data::GUID …found
HTML::Mason >= 1.43 …found
HTML::Entities …found
LWP::Simple …found
Symbol::Global::Name >= 0.04 …found
URI >= 1.59 …found
DateTime::Format::Natural >= 0.67 …found
Plack >= 1.0002 …found
File::Glob …found
Text::Wrapper …found
Regexp::Common::net::CIDR …found
Log::Dispatch >= 2.30 …found
HTML::FormatText::WithLinks::AndTables >= 0.06 …found
DateTime >= 0.44 …found
CGI::Emulate::PSGI …found
Text::Quoted >= 2.07 …found
Regexp::IPv6 …found
CGI >= 3.38 …found
Class::Accessor::Fast …found
CSS::Squish >= 0.06 …found
DateTime::Locale >= 0.40 …found
CGI::PSGI >= 0.12 …found
Apache::Session >= 1.53 …found
Date::Extract >= 0.02 …found
Digest::SHA …found
HTML::Mason::PSGIHandler >= 0.52 …found
MIME::Entity >= 5.504 …found
Locale::Maketext::Lexicon >= 0.32 …found
Role::Basic >= 0.12 …found
Module::Refresh >= 0.03 …found
Digest::base …found
File::Temp >= 0.19 …found
Date::Manip …found
Locale::Maketext >= 1.06 …found
HTML::RewriteAttributes >= 0.05 …found
Text::Template >= 1.44 …found
Scalar::Util …found
CGI::Cookie >= 1.20 …found
XML::RSS >= 1.05 …found
Text::WikiFormat >= 0.76 …found
File::Spec >= 0.8 …found
DBIx::SearchBuilder >= 1.65 …found
Regexp::Common …found
File::ShareDir …found
Digest::MD5 >= 2.27 …found
CSS::Minifier::XS …found
Data::ICal …found
Pod::Select …found
HTML::FormatText::WithLinks >= 0.14 …found
Scope::Upper …found
Mail::Header >= 2.12 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Time::HiRes …found
MIME::Types …found
Email::Address::List >= 0.06 …found
Convert::Color …found
JavaScript::Minifier::XS …found
Clone …found
Net::CIDR …found
JSON …found
UNIVERSAL::require …found
Email::Address >= 1.912 …found
Plack::Handler::Starlet …found
GD dependencies:
GD::Text …found
GD …found
GD::Graph >= 1.47 …found
GPG dependencies:
File::Which …found
PerlIO::eol …found
GnuPG::Interface …found
GRAPHVIZ dependencies:
IPC::Run >= 0.90 …found
GraphViz …found
MAILGATE dependencies:
Pod::Usage …found
LWP::UserAgent >= 6.02 …found
Getopt::Long …found
LWP::Protocol::https …found
Mozilla::CA …found
SMIME dependencies:
String::ShellQuote …found
File::Which …found
Crypt::X509 …found

All dependencies have been found.
[root@helpdesk sbin]#

Seems something isn’t playing nice, I haven’t seen this one before. Searching the forum I see other people had “similar” issues that they resolved by updating Perl modules. I’d assume since this is a new install the Perl modules are up to date

Yes, I ran yum update on everything. checked GD, GD-Devel everything says it’s up to date. Not sure if it could be some type of permission.

[root@helpdesk rt-4.4.4]# yum install gd
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile

Nothing to do
[root@helpdesk rt-4.4.4]# yum install gd-devel
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile

[root@helpdesk rt-4.4.4]# yum install perl-GD
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile

Some shots in the dark here:

  1. Do you have all these packages installed (These are redhat packages but I believe they should be similar in name)?
yum install gd gd-devel glib-devel gd-progs gcc graphviz perl-Net-SSLeay openssl openssl-devel autoconf wget
  1. What version of zlib do you have?

I see glibc-devel, but not glib-devel. when i run yum install glib-devel it can’t find a package. glibc-devel is installed.

I was able to get glib-devel installed, but it made no difference.

gd-png: fatal libpng error: zlib failed to initialize compressor (IDAT) stream error
gd-png error: setjmp returns error condition

Is the above the only bit from the logs? Can you up the RT log level to debug and try loading a chart again and see if their is more in the logs?

The log was from the apache error_log. I have debug enabled on RT, but the RT.Log doesn’t give any information.

A bit of Google searching indicates that error might be a result of code that puts the wrong quality factor in for libpng (which expects -1 to 9, rather than libjpeg’s 0-100). Can we just check what version of GD your system thinks it is using? A quick test is something like this:

use GD;
print $GD::VERSION."\n";

On our CentOS 7 machine, this gives the version as 2.49.

Another option for you might be to try GIFs instead of PNGs. If you make a local copy of /opt/rt4/share/html/Search/Chart into /opt/rt4/local/html/Search/Chart and in the local copy change the line towards the end that reads:

my @types = ('png', 'gif');

to be

my @types = ( 'gif');

and then flush the Mason cache, restart your web server and see if that gives you charts.

Changing Chart to gif didn’t help, but where do I put the file to do a test use GD; prit $GD::Version?

OK, weird. I put the info into Chart. cleared mason, and restarted httpd, not working added the Use GD, restarted, and it started working. I’m going to reboot the server to make sure it still works.

Everything seems to be working now. Thank you for you help.